- entityDefinitions:
  - IDM_Product__get__Product_Color: '{acf2ef6d-b668-4f43-968a-35be8104882a}'
  - IDMB_Product__get__Product_Color: '{ccb8bb96-be28-40f0-805b-b7afc757c3c1}'

  - IDI_WorkSet_ProductColorSingular: '{22d44682-cba5-4241-9f7f-55e548aa0e69}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ProductColorSingular;'
    name: 'Product Color [Singular]'
    singular: yes

  - getReferencedInstanceSetMethod: '&IDM_Product__get__Product_Color;'
    forClassId: '&IDC_Product;'
    returnsWorkSetId: '&IDI_WorkSet_ProductColorSingular;'
    verb: 'get'
    name: 'Product Color'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Product;'
    answerInstanceSet: '&IDR_Product__has__Product_Color;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Product__get__Product_Color;'
    executesMethod: '&IDM_Product__get__Product_Color;'